"""
Module with base plugins
"""

from luna_plugins.base.plugins_meta.base_plugins import (
    BaseBackgroundPlugin as NewBaseBackgroundPlugin,
    BaseEventPlugin as NewBaseEventPlugin,
)

from ...utils.healthcheck import logger


class BaseEventPlugin(NewBaseEventPlugin):
    """Base event plugin"""

    def __init__(self, *args, **kwargs):
        logger.warning(
            "Do not use class 'BaseEventPlugin' (deprecated). Use 'BaseEventPlugin' "
            "from luna_plugins.base.plugins_meta.base_plugins"
        )
        super().__init__(*args, **kwargs)


class BaseBackgroundPlugin(NewBaseBackgroundPlugin):
    """Base background plugin"""

    def __init__(self, *args, **kwargs):
        logger.warning(
            "Do not use class 'BaseBackgroundPlugin' (deprecated). Use 'BaseBackgroundPlugin' "
            "from luna_plugins.base.plugins_meta.base_plugins"
        )
        super().__init__(*args, **kwargs)
